<template>
    <teleport
        to="body"
    >
        <div
            class="fixed top-0 left-0 right-0 bottom-0 w-screen h-screen bg-gray-700 bg-opacity-40 flex justify-center text-center items-center text-white"
        >
            <div
                class="w-[360px] h-auto bg-neutral rounded-lg p-4 mx-auto"
            >
                <slot />
                <div class="mt-4 mb-6 text-xl capitalize">
                    <a
                        href="javascript:"
                        class="underline"
                        @click="close"
                    >
                        {{ $t('close') }}
                    </a>
                </div>
            </div>
        </div>
    </teleport>
</template>

<script setup>
import AutoButton from "~/components/button/auto-button.vue";
import FormPin from "~/components/form/form-pin.vue";
const emit = defineEmits(['close']);

const close = async () => {
    emit('close');
};
</script>
